using UnityEngine;

public abstract class ObjectiveHandler : MonoBehaviour
{
    // Describe the objective or target behaviour.
    public abstract string Description { get; }

    public void OnObjectiveComplete(bool condition) {
        if (condition) {
            OnObjectiveSuccess();
        } else {
            OnObjectiveFail();
        }
    }
    public abstract void OnObjectiveSuccess();
    public abstract void OnObjectiveFail();
}
